﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SLDGHeader
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.dataGrid1.ItemsSource = CityInformation.GetInfo();
        }
    }

    /// <summary> 
    /// 城市信息的实体类 
    /// </summary> 
    public class CityInformation
    {
        private string _AddrName;
        private string _CityName;
        private string _TelNum;

        public string AddrName
        {
            get { return _AddrName; }
            set { _AddrName = value; }
        }
        public string CityName
        {
            get { return _CityName; }
            set { _CityName = value; }
        }
        public string TelNum
        {
            get { return _TelNum; }
            set { _TelNum = value; }
        }
        public static List<CityInformation> GetInfo()
        {
            return new List<CityInformation>() { 
                new CityInformation(){ AddrName="四川", CityName="成都",TelNum="028"},
                new CityInformation(){ AddrName="广东", CityName="广州",TelNum="021"},
                new CityInformation(){ AddrName="广西", CityName="南宁",TelNum="0771"},
                new CityInformation(){ AddrName="贵州", CityName="贵阳",TelNum="0851"}
            };
        }
    }
}
